Skip to content
Get started
V2 Reference
Contacts

Update Contact

PUT
/api/partner/v2/contacts/{id}
curl --request PUT \
--url https://api.linqapp.com/api/partner/v2/contacts/1 \
--header 'Content-Type: application/json' \
--header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>' \
--data '{ "contact": { "email": "[email protected]" } }'

Updates an existing contact. Only the fields provided will be updated.

At least one of the following fields must be provided:

  • first_name
  • last_name
  • email
  • phone_number

Additional optional fields:

  • company
  • title
  • location
  • user_email (to change contact owner)
id
required
integer

The contact ID

Media type application/json
object
contact
required
object
first_name
string
last_name
string
email
string
phone_number
string
company
string
title
string
location
string
user_email

Optional email of the user in your organization who should own this contact. Must be an existing user in your organization. If not provided, defaults to the first admin user.

string
Examples

Update email only

{
"contact": {
"email": "[email protected]"
}
}

Contact updated successfully

Media type application/json
object
data
object
id
integer
first_name
string
last_name
string
full_name
string
email
string
phone_number
string
company
string
title
string
location
string
image_url
string
nullable
created_at
string format: date-time
updated_at
string format: date-time
contact_owner

The user who owns this contact in your organization

object
id
integer
email
string
first_name
string
last_name
string
name
string
Example
{
"data": {
"id": 123,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"email": "[email protected]",
"phone_number": "+15551234567",
"company": "Acme Corp",
"title": "CEO",
"location": "San Francisco, CA",
"image_url": null,
"created_at": "2025-07-30T10:00:00.000-05:00",
"updated_at": "2025-07-30T10:00:00.000-05:00",
"contact_owner": {
"id": 456,
"email": "[email protected]",
"first_name": "Jane",
"last_name": "Owner",
"name": "Jane Owner"
}
}
}

Contact not found

Media type application/json

Alternative error format used by Contacts and Webhook Subscriptions endpoints (render_standard_error format)

object
status
string
error_code
string
message
string
errors
Array<string>
Example
{
"status": "error",
"error_code": "CONTACT_NOT_FOUND",
"message": "Contact not found",
"errors": [
"The requested contact does not exist or is not accessible to your organization"
]
}